#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 generic-trie
version:              0.3.1
visibility:           public
id:                   generic-trie-0.3.1-7R4nVsPEiQKDiOv0tVML6h
key:                  generic-trie-0.3.1-7R4nVsPEiQKDiOv0tVML6h
license:              BSD-3-Clause
maintainer:           emertens@gmail.com
author:               Eric Mertens
homepage:             http://github.com/glguy/tries
synopsis:             A map, where the keys may be complex structured data.
description:
    This type implements maps where the keys are themselves
    complex structured data.  For example, the keys may be
    the abstract syntax trees for a programming language.
    The map is implemented as a trie, so common parts of the
    keys will be shared in the representation.  The library
    provides a generic implementation of the data structure,
    so values of types that have support for '\''Generic'\'' may
    be automatically used as keys in the map.

category:             Data
abi:                  22db13f63ec8a7ac21d2a35c8a5f9ac6
exposed:              True
exposed-modules:      Data.GenericTrie Data.GenericTrie.Internal
import-dirs:          /usr/lib/ghc-8.8.3/site-local/generic-trie-0.3.1
library-dirs:         /usr/lib/ghc-8.8.3/site-local/generic-trie-0.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/generic-trie-0.3.1
hs-libraries:         HSgeneric-trie-0.3.1-7R4nVsPEiQKDiOv0tVML6h
depends:              base-4.13.0.0 containers-0.6.2.1 transformers-0.5.6.2
haddock-interfaces:
    /usr/share/doc/haskell-generic-trie/html/generic-trie.haddock

haddock-html:         /usr/share/doc/haskell-generic-trie/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

